Subject: bug#78905: closed (Re: bug#78905: 31.0.50; Extra dot in C-h k output)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Jun 2025 14:41:02 +0000

Your bug report

#78905: 31.0.50; Extra dot in C-h k output

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78905: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78905
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78905: 31.0.50; Extra dot in C-h k output
From: Eli Zaretskii <[email-masked]>
To: Eshel Yaron <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 26 Jun 2025 17:40:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Eshel Yaron <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 26 Jun 2025 16:21:49 +0200
> 
> Hi,
> 
> Stephen Berman <[email-masked]> writes:
> 
> > On Thu, 26 Jun 2025 16:05:13 +0300 Eli Zaretskii <[email-masked]> wrote:
> >
> >>> From: Stephen Berman <[email-masked]>
> >>> Cc: Eshel Yaron <[email-masked]>,  [email-masked]
> >>> Date: Thu, 26 Jun 2025 14:47:32 +0200
> >>> 
> >>> Since the sexp `(or remapped menus (princ "."))' is within a sexp
> >>> beginning `(when menus ...)' and nothing nullifies `menus' within that
> >>> sexp, doesn't this change then make `(princ ".")' a no-op?
> >>
> >> Sorry, a thinko.  The below is better, I hope.
> >>
> >> diff --git a/lisp/help-fns.el b/lisp/help-fns.el
> >> index 481360b..ff69227 100644
> >> --- a/lisp/help-fns.el
> >> +++ b/lisp/help-fns.el
> >> @@ -632,7 +632,7 @@ help-fns--key-bindings
> >>                               (format-message "`%s'" remapped)
> >>  		           "an anonymous command"))
> >>                    (princ "as well.\n"))
> >> -                (or remapped (princ "."))
> >> +                (or remapped (= (point) start) (princ "."))
> >>                  (fill-region-as-paragraph start (point))))
> >>              (ensure-empty-lines)))))))
> >
> > Yes, this is effectively equivalent to the patch I posted ;-)
> 
> Both variants seem to work over here :)

Thanks, installed, and closing the bug.

Subject: 31.0.50; Extra dot in C-h k output
From: Eshel Yaron <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jun 2025 11:51:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On the current master, I see:

1. emacs -Q
2. C-x C-j
3. C-h k d

This produces a *Help* buffer saying:

  d runs the command dired-flag-file-deletion (found in dired-mode-map),
  which is an interactive byte-code-function in ‘dired.el’.

  It is bound to d.
  .

  (dired-flag-file-deletion ARG &optional INTERACTIVE)
  ...

Note the extra, unexpected dot and newline after "It is bound to d."

Best regards,

Eshel